<section>
    <div class="container mx-auto h-full">
        <div class="flex flex-col justify-center items-center py-24">
            <mat-card class="px-8 w-1/2">
                <mat-card-header>
                    <mat-card-title class="pb-4">
                        Login
                    </mat-card-title>
                </mat-card-header>
                <mat-card-content class="w-full">
                    <form [formGroup]="registerForm" (ngSubmit)="registrar()">
                            <mat-form-field class="w-full">
                                <label for="nome">Digite seu nome</label>
                                <input id="nome" class="mb-6" matInput placeholder="Nome" formControlName="nome" required>
                                <label for="email">Digite seu e-mail</label>
                                <input id="email" class="mb-6" matInput placeholder="exemplo@email.com" formControlName="email" required>
                                <label for="telefone">Digite seu telefone</label>
                                <input id="telefone" class="mb-6" matInput placeholder="99988776655" formControlName="telefone" required>
                                <label for="senha">Digite sua senha</label>
                                <input id="senha" class="mb-6" matInput placeholder="*****" formControlName="senha" type="text" required>
                                <mat-divider class="pb-4"></mat-divider>
                                <div class="flex justify-center items-center">
                                    <button mat-raised-button color="primary" type="submit">Registrar</button>
                                    <a class="ml-6" routerLink="/login">Já tem uma conta?</a>
                                </div>
                            </mat-form-field>
                        </form>
                </mat-card-content>
            </mat-card>
        </div>
    </div>
</section>